{% extends "elections2021/base.html" %}
{% load wagtailcore_tags %}

{% block content_header %}
<div class="hero-slider __js-root">
  <ui-app inline-template>
    <ui-carousel>
      <template v-slot:default="slotProps">
        <!--<carousel :per-page=1 :autoplay="true" :autoplay-timeout="4000" :autoplay-hover-pause="false" :loop="true" :navigation-enabled="true" center-mode v-on:transition-end="slotProps.onthaslide" ref="homeCarrousel" class="pb-8">-->
        <carousel :per-page=1 :autoplay="true" :autoplay-timeout="4000" :autoplay-hover-pause="false" :loop="true" :navigation-enabled="true" class="pb-8">
          {% for block in page.carousel %}
            {% include_block block %}
          {% endfor %}
        </carousel>
      </template>
    </ui-carousel>
  </ui-app>
</div>
{% endblock %}

{% block content %}

<div class="container container--default">

  {% if page.elections_date %}
    <section class="my-16 container-padding--zero lg:container-padding--auto">
      <aside class="bg-black text-white px-4 py-12 lg:py-16 lg:px-24 ">
        <div class="flex flex-col lg:flex-row items-center">
          <h1 class="head-alt-md md:head-alt-xl flex-grow text-center lg:text-left mb-8 lg:mb-0">Do voleb<br>nám zbývá</h1>
          <div class="__js-root ">
            <div class="flip-clock">
              <span id="flip-card-days-6" class="flip-clock__piece flip">
                <span class="flip-clock__card flip-card text-6xl md:text-7xl lg:text-9xl">
                  <b class="flip-card__top">{{ countdown_days }}</b>
                  <b data-value="{{ countdown_days }}" class="flip-card__bottom"></b>
                  <b data-value="00" class="flip-card__back"></b>
                  <b data-value="00" class="flip-card__back-bottom"></b>
                </span>
                <span class="flip-clock__slot font-alt text-2xl md:text-3xl lg:text-4xl">Dní</span>
              </span>
              <span id="flip-card-hours-6" class="flip-clock__piece flip">
                <span class="flip-clock__card flip-card text-6xl md:text-7xl lg:text-9xl">
                  <b class="flip-card__top">{{ countdown_hours }}</b>
                  <b data-value="{{ countdown_hours }}" class="flip-card__bottom"></b>
                  <b data-value="00" class="flip-card__back"></b>
                  <b data-value="00" class="flip-card__back-bottom"></b>
                </span>
                <span class="flip-clock__slot font-alt text-2xl md:text-3xl lg:text-4xl">Hod</span>
              </span>
            </div>
          </div>
        </div>
      </aside>
    </section>
  {% endif %}

  <section>
    <h1 class="head-alt-md pb-4 lg:pb-8 mt-10 md:mt-8">Aktuality</h1>
    <div class="article-card-list grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-3 gap-4 lg:gap-8">
      {% for article in articles %}
        {% include "elections2021/_article_card.html" with article=article %}
      {% endfor %}
    </div>
    <nav class="text-center">
      <a href="{{ page.root_page.articles_page_url }}" class="btn btn--icon text-xl pt-8 btn--hoveractive">
        <div class="btn__body-wrap">
          <div class="btn__body bg-acidgreen text-black hover:bg-black hover:text-white">Zobrazit vše</div>
          <div class="btn__icon ">
            <i class="ico--chevron-right"></i>
          </div>
        </div>
      </a>
    </nav>
  </section>

  <section class="mt-16 md:mb-16 lg:my-28 container-padding--zero lg:container-padding--auto">
    <div class="lead-collector inline-flex w-full">
      <div class="lead-collector-icon bg-acidgreen max-w-max p-10 hidden md:flex" style="height: max-content">
        <i class="ico--app text-black" style="font-size: 51px"></i>
      </div>
      <div class="lead-collector-body lead-collector-body-app bg-lemon py-10 px-8 w-full">
        <div>
          <p class="head-alt-lg text-white mb-4">ZOBRAZTE SI, CO VÁS ZAJÍMÁ<br>Z VOLEBNÍHO PROGRAMU</p>
          <a href="{{ page.root_page.program_app_page_url }}" class="btn btn--icon bg-white text-black btn--hoveractive border mr-6 mt-5 bg-white">
            <div class="btn__body-wrap">
              <div class="btn__body bg-white text-black py-5 px-12 hover:text-white hover:bg-black hover:border-black">Ukažte mi program přesně pro mě</div>
              <div class="btn__icon px-5 bg-white text-black">
                <i class="ico--chevron-right"></i>
              </div>
            </div>
          </a>
          <a href="{{ page.root_page.program_page_url }}" class="btn btn--icon btn--hoveractive border border-white mt-5 bg-transparent mr-6">
            <div class="btn__body-wrap">
              <div class="btn__body bg-transparent text-white py-5 px-12 hover:text-black hover:bg-white">Chci vidět celý váš program</div>
              <div class="btn__icon bg-transparent text-white px-5 border-white">
                <i class="ico--chevron-right"></i>
              </div>
            </div>
          </a>
        </div>
      </div>
    </div>
  </section>

  {% if page.has_calendar %}
  <section class="mt-16 md:mb-16 lg:my-28 container-padding--zero lg:container-padding--auto">
    <div class="lead-collector inline-flex w-full">
      <div class="lead-collector-icon bg-acidgreen max-w-max p-10 hidden md:flex" style="height: max-content">
        <i class="ico--calendar text-black" style="font-size: 51px"></i>
      </div>
      <div class="lead-collector-body bg-black py-10 px-8 w-full">
        <h1 class="head-alt-lg text-white mb-4">Kalendář akcí</h1>
        <div class="bg-black">
          {% for event in page.calendar.current_events %}
          <div class="grid grid-cols-12 items-center my-1">
            <div class="col-span-2 head-alt-md calendar-table-row__col text-acidgreen border-acidgreen">
              <span>{{ event.start|date:"j." }}</span>
            </div>
            <div class="col-span-8 grid grid-cols-3 calendar-table-row__col text-white border-black">
              <div class="col-span-3 md:col-span-1">
                <strong class="block">{{ event.start|date:"l j. E"|capfirst }}</strong>
                <p class="font-light text-sm mt-1">{{ event.duration }}</p>
              </div>
              <div class="col-span-3 md:col-span-2 mt-4 md:mt-0">
                <p>
                  <strong>{{ event.pir.name }}</strong>
                  {% for tag in event.pir.tags %}
                  <span class="text-sm font-light">#{{tag}}</span>
                  {% endfor %}
                </p>
                {% if event.location %}
                <p class="font-light text-sm mt-1">{{ event.location }}</p>
                {% endif %}

                {% if event.description %}
                <p class="font-light text-sm mt-1">{{ event.description }}</p>
                {% endif %}
              </div>
            </div>
            <div class="col-span-2 text-center font-light calendar-table-row__col text-white border-black">
              {% if event.location %}
              <a href="https://maps.google.com/maps?q={{ event.location }}" class="icon-link">
                <i class="ico--location" style="color: #92ac00" aria-hidden="true"></i>
                <span>Mapa</span>
              </a>
              {% endif %}
            </div>
          </div>
          {% empty %}
          <div class="calendar__row__content">
            <p>Žádné události.</p>
          </div>
          {% endfor %}
        </div>
        <div>
          <a href="{{ page.root_page.calendar_page_url }}" class="btn btn--icon bg-white text-black btn--hoveractive border mr-6 mt-5 bg-white">
            <div class="btn__body-wrap">
              <div class="btn__body bg-white text-black py-5 px-12 hover:text-white hover:bg-black hover:border-black">Chci vás potkat jindy</div>
              <div class="btn__icon px-5 bg-white text-black">
                <i class="ico--chevron-right"></i>
              </div>
            </div>
          </a>
        </div>
      </div>
    </div>
  </section>
  {% endif %}

  {% if questions %}
    <section>
      <h1 class="head-alt-md pb-4 lg:pb-8 mt-10 md:mt-24">Často kladené otázky</h1>
      <div class="space-y-1 ">
        {% for block in questions %}
          {% include_block block %}
        {% endfor %}
      </div>

      <script>
        document.addEventListener("DOMContentLoaded", setMaxHeights);
        window.addEventListener('resize', setMaxHeights);
        function setMaxHeights() {
          // set height for css transition
          var accordeonRowBodies = document.getElementsByClassName('accordeon-row-body');
          if (accordeonRowBodies !== null) {
            for (var i = 0; i < accordeonRowBodies.length; i++) {
              accordeonRowBodies[i].style.maxHeight = accordeonRowBodies[i].scrollHeight + "px";
            };
          }
        }
      </script>

      <a href="{{ page.root_page.questions_page_url }}" class="btn btn--icon text-xl pt-0 mt-16 btn--hoveractive">
        <div class="btn__body-wrap">
          <div class="btn__body bg-acidgreen text-black px-12 hover:bg-black hover:text-white">Zobrazit vše</div>
          <div class="btn__icon ">
            <i class="ico--chevron-right"></i>
          </div>
        </div>
      </a>
    </section>
  {% endif %}

  <section id="jakpomoci" class="my-16 lg:my-20 lg:flex">

    <div class="w-full">
      <div class="cta-card cta-news px-8 py-8 bg-acidgreen text-black">
        <p class="font-alt text-4xl">CHCI VĚDĚT VÍCE</p>
        <form method="post" action="{{ page.root_page.newsletter_subscribe_url }}">
          {% csrf_token %}
          <input type="hidden" name="return_page_id" value="{{ page.id }}">
          <input name="email" type="email" class="text-input form-field__control w-full mt-7" value="" placeholder="Zadejte email" required="">
          <button class="btn btn--icon my-2 text-lg w-full cta-btn">
            <div class="btn__body-wrap">
              <div class="btn__body py-4 leading-4 w-full">Přihlásit se k newsletteru</div>
              <div class="btn__icon px-4 bg-grey-800 border-grey-500">
                <i class="ico--chevron-right"></i>
              </div>
            </div>
          </button>
          <div class="checkbox form-field__control cta-cbox h-6">
            <input type="checkbox" name="confirmed" id="confirmed_bottom" required="">
            <label for="confirmed_bottom" style="color: #000000"> Souhlasím se <a href="{{ page.root_page.gdpr_and_cookies_url }}" class="underline" target="_blank">zásadami ochrany osobních údajů</a> a zasíláním novinek</label>
          </div>
        </form>
      </div>
    </div>

    <div class="w-full">
      <div class="cta-card cta-help px-8 py-8 bg-lemon " id="cta-card">
        <p class="font-alt text-4xl w-1">CHCI POMÁHAT</p>
        {% comment %}
        <div class="cta-animated collapsed">
          <form id="helpform">
            <input name="tel" type="text" class="text-input form-field__control w-full mb-2" value="" placeholder="Telefon" required="">
            <input name="email" type="email" class="text-input form-field__control w-full mb-2" value="" placeholder="Email" required="">
            <input name="psc" type="text" class="text-input form-field__control w-full  mb-2" value="" placeholder="PSČ" required="">
            <input name="" type="text" class="text-input form-field__control w-full  mb-2" value="" placeholder="Moje dovednosti" required="">
            <div class="select ">
              <select class="select__control form-field__control w-full  mb-2" onchange="this.dataset.chosen = this.value;" data-chosen="" required="">
                <option selected="" value="">Kraj</option>
                <option>Option 1</option>
                <option>Quite long and described option</option>
                <option>Option 3</option>
              </select>
            </div>
            <button class="btn btn--icon text-lg w-full cta-btn">
              <div class="btn__body-wrap">
                <div class="btn__body py-4 leading-4 w-full">Odeslat</div>
                <div class="btn__icon px-4 bg-grey-800 border-grey-500">
                  <i class="ico--chevron-right"></i>
                </div>
              </div>
            </button>
          </form>
          <div class="flex justify-center items-center w-full cta-help-toggler mt-2">
            <i class="ico--chevron-up px-4 cursor-pointer"></i>
          </div>
        </div>
        <button class="btn btn--icon text-lg w-full cta-button cta-help-toggler cta-animated-rev">
          <div class="btn__body-wrap">
            <div class="btn__body py-4 leading-4 w-full">Chci pomáhat jako dobrovolník</div>
            <div class="btn__icon px-4 bg-grey-800 border-grey-500">
              <i class="ico--chevron-right"></i>
            </div>
          </div>
        </button>
        {% endcomment %}
        <a href="{{ page.root_page.onboarding_url }}" class="btn btn--icon text-lg w-full cta-button my-2">
          <div class="btn__body-wrap">
            <div class="btn__body py-4 leading-4 w-full">Chci pomáhat v kampani</div>
            <div class="btn__icon px-4 bg-grey-800 border-grey-500">
              <i class="ico--chevron-right"></i>
            </div>
          </div>
        </a>
      </div>
      <script>
        if (typeof window.initializehelp === 'undefined') {
          window.initializehelp = function() {
            let state = 0;
            document.querySelectorAll('.cta-help-toggler').forEach(item => {
              item.addEventListener("click", event => {
                helpelement = event.target.closest(".cta-help");
                let elements = helpelement.querySelectorAll(".cta-animated");
                let elements2 = helpelement.querySelectorAll(".cta-animated-rev");
                if (state === 0) {
                  [].forEach.call(elements, function(el) {
                    el.classList.remove("collapsed");
                  });
                  [].forEach.call(elements2, function(el) {
                    el.classList.add("collapsed");
                  });
                  state = 1;
                } else {
                  [].forEach.call(elements2, function(el) {
                    el.classList.remove("collapsed");
                  });
                  [].forEach.call(elements, function(el) {
                    el.classList.add("collapsed");
                  });
                  state = 0;
                }
              });
            });
          }

          window.addEventListener('load', function() {
            initializehelp();
          });
        }

        function isValidPhone(phoneNumber) {
          var found = phoneNumber.search(/^[+]*[(]{0,1}[0-9]{1,3}[)]{0,1}[-\s\./0-9]{7,18}$/g);
          if (found > -1) {
            return true;
          } else {
            return false;
          }
        }

        function isValidZip(zip) {
          var found = zip.search(/^(?=.*\d)[\d ]{5,6}$/g);
          if (found > -1) {
            return true;
          } else {
            return false;
          }
        }
        window.addEventListener('DOMContentLoaded', (event) => {
          var elements = document.querySelectorAll("input, select");
          for (var i = 0; i < elements.length; i++) {
            if (elements[i].getAttribute("type") == "email") {
              elements[i].onchange = function(e) {
                e.target.setCustomValidity("");
                e.target.checkValidity();
              };
              elements[i].oninvalid = function(e) {
                if (e.target.value == "")
                  e.target.setCustomValidity(
                    "E-mail je povinná položka"
                  );
                else
                  e.target.setCustomValidity(
                    "Neplatný e-mail"
                  );
              }
            } else if (elements[i].getAttribute("name") == "tel") {
              elements[i].onchange = function(e) {
                if (isValidPhone(e.target.value)) {
                  e.target.setCustomValidity("");
                } else {
                  e.target.setCustomValidity("Telefonní číslo obsahuje chybu");
                }
                e.target.checkValidity();
              };
              elements[i].oninput = function(e) {
                if (isValidPhone(e.target.value)) {
                  e.target.setCustomValidity("");
                } else {
                  e.target.setCustomValidity("Telefonní číslo obsahuje chybu");
                }
                e.target.checkValidity();
              };
              elements[i].oninvalid = function(e) {
                if (e.target.value == "")
                  e.target.setCustomValidity(
                    "Telefon je povinná položka"
                  );
              };
            } else if (elements[i].getAttribute("name") == "psc") {
              elements[i].onchange = function(e) {
                if (isValidZip(e.target.value)) {
                  e.target.setCustomValidity("");
                } else {
                  e.target.setCustomValidity("PSČ číslo obsahuje chybu");
                }
                e.target.checkValidity();
              };
              elements[i].oninput = function(e) {
                if (isValidZip(e.target.value)) {
                  e.target.setCustomValidity("");
                } else {
                  e.target.setCustomValidity("PSČ číslo obsahuje chybu");
                }
                e.target.checkValidity();
              };
              elements[i].oninvalid = function(e) {
                if (e.target.value == "")
                  e.target.setCustomValidity(
                    "PSČ je povinná položka"
                  );
              };
            } else {
              elements[i].oninvalid = function(e) {
                e.target.setCustomValidity("");
                if (!e.target.validity.valid) {
                  e.target.setCustomValidity("Toto pole je povinné");
                }
              };
              elements[i].onchange = function(e) {
                e.target.setCustomValidity("");
              };
            }
          }
        });
      </script>
    </div>

    <div class="w-full">
      <div class="cta-card cta-support px-8 py-8 bg-white">
        <p class="font-alt text-4xl w-1">CHCI PODPOŘIT</p>
        <a href="{% pageurl page.root_page.donate_page %}" class="btn btn--icon text-lg w-full cta-btn my-2">
          <div class="btn__body-wrap">
            <div class="btn__body py-4 leading-4 w-full">Chci darovat na kampaň</div>
            <div class="btn__icon px-4 bg-grey-800 border-grey-500">
              <i class="ico--chevron-right"></i>
            </div>
          </div>
        </a>
      </div>
    </div>
  </section>

</div>

{% endblock %}
